跳转到文档
打开控制台
本页内容

GET /v1/tools/{name}

读取所选自有资源或当前工作流状态,不启动新的生成任务。

请求示例#

curl 'https://platform.tongai.io/v1/tools/tong_image_upload' \  -H "Authorization: Bearer $TONG_API_KEY"
配置
curl --version

身份验证#

为自己的账户使用服务器端 API 密钥,为各客户的账户使用 OAuth。切勿将密钥放入提示词或工具参数。

catalog:read

参数#

namestring必填
允许的值"tong_image_upload""tong_reference_upload""tong_video_upload""tong_audio_reference_upload""tong_director_document_upload""tong_director_reference_upload""tong_lora_media_upload""tong_motion_video_upload""tong_motion_image_upload""tong_video_edit_upload""tong_workflows""tong_director_config""tong_audio_config""tong_video_editor_config""tong_motion_config""tong_lora_config""tong_library_search""tong_asset_download""tong_workspace_list""tong_workspace_get""tong_workspace_create""tong_conversation_create""tong_conversation_get""tong_conversation_messages""tong_generation_reuse""tong_generation_quote""tong_generation_submit""tong_director_continuity_read""tong_director_projects""tong_director_get""tong_director_video_attach""tong_director_draft_create""tong_director_script_save""tong_director_planning_quote""tong_director_planning_submit""tong_director_planning_status""tong_director_estimate""tong_director_shots_reorder""tong_director_shot_select""tong_director_frame_approve""tong_director_shot_delete""tong_director_shots_quote""tong_director_shots_submit""tong_director_resume""tong_director_export""tong_reference_read""tong_reference_import""tong_reference_direction""tong_reference_quote""tong_reference_submit""tong_reference_script_edit""tong_reference_script_accept""tong_cast_read""tong_cast_quote""tong_cast_submit""tong_cast_select""tong_cast_use""tong_locations_prepare""tong_locations_quote""tong_locations_submit""tong_location_select""tong_director_video_edit_quote""tong_director_video_edit_submit""tong_video_source_prepare""tong_video_selection_quote""tong_video_edit_quote""tong_video_edit_route_quote""tong_video_selection_frame""tong_video_selection_mask""tong_video_edit_submit""tong_video_edit_job""tong_motion_submit""tong_motion_job""tong_lora_submit""tong_lora_job""tong_motion_quote""tong_lora_catalog""tong_lora_quote""tong_audio_quote""tong_audio_submit""tong_remix_prepare""tong_remix_create""tong_remix_get""tong_remix_update""tong_remix_export""tong_remix_export_status""tong_composition_config""tong_composition_render""tong_composition_get""tong_composition_lookup""tong_composition_cancel""tong_assets_list""tong_asset_get""tong_asset_delete""tong_assets_delete""tong_workspace_rename""tong_workspace_delete""tong_workspace_attach""tong_workspace_detach""tong_workspace_films""tong_characters_list""tong_character_create""tong_character_update""tong_character_delete""tong_subjects_list""tong_subject_get""tong_subject_create""tong_subject_delete""tong_conversations_list""tong_conversation_update""tong_conversation_delete""tong_generation_alternative_quote""tong_generation_alternative_submit""tong_generation_retry""tong_director_create""tong_director_update""tong_director_delete""tong_director_note""tong_director_method""tong_director_models""tong_director_shot_add""tong_director_shot_update""tong_director_frame_attach""tong_director_shot_release""tong_cast_rename""tong_location_assign""tong_location_attach""tong_video_edit_jobs""tong_motion_jobs""tong_lora_jobs""tong_video_edit_resume""tong_motion_resume""tong_motion_reuse_image""tong_video_draft_get""tong_video_draft_save""tong_video_presets""tong_lora_reference_get""tong_lora_image_get""tong_lora_reference_delete""tong_lora_save""tong_lora_unsave""tong_lora_import""tong_lora_job_delete""tong_lora_estimate""tong_audio_preview""tong_remix_list""tong_enhancement_config""tong_enhancement_get""tong_enhancement_submit""tong_saved_job_follow""tong_text_models""tong_text_history""tong_text_quote""tong_text_submit""tong_assistant_start""tong_filmmaker_start"

请求正文#

此端点没有请求正文。

响应架构#

JSON
{}

HTTP 200

application/json
object

错误与限制#

HTTP错误恢复
400无效请求REQUEST_INVALID重试前请修正错误指出的字段。
401无效凭据CREDENTIAL_INVALID检查凭据、有效期以及是否已被撤销。
402积分不足INSUFFICIENT_CREDITS为凭据所属账户充值积分,然后继续已保存的任务。
403权限被拒绝SCOPE_REQUIRED使用具有所需权限且可访问所选资源的凭据。
404资源不可用RESOURCE_UNAVAILABLE检查资源 ID,并确认其属于已授权账户。
409操作意图冲突IDEMPOTENCY_CONFLICT仅为原始请求复用意图标识。不同操作请使用新的 UUID。
429已达速率限制RATE_LIMITED等待 Retry-After 指定的时间后再重试同一请求。
503暂时不可用DEPENDENCY_UNAVAILABLE等待 Retry-After 指定时间并使用同一意图重试。超时后检查已保存的操作。